import { useTranslations } from "next-intl";

import { emailMarketingCompV1Images } from "@/shared/constants/images";
import { translatePathEmailMarketingCompatibilityV1 } from "@/shared/constants/translate";

import { IReviewProps, Review } from "..";

import styles from "./Reviews.module.scss";

export default function Reviews() {
  const t = useTranslations(
    translatePathEmailMarketingCompatibilityV1("Landing")
  );

  const reviews: IReviewProps[] = [
    {
      avatar: emailMarketingCompV1Images("andi36_11.png"),
      username: "@andi36_11",
      date: "03/05/2025",
      gender: "male",
      text: t("review-1"),
    },
    {
      avatar: emailMarketingCompV1Images("aramaska.png"),
      username: "@aramaska",
      date: "02/17/2025",
      gender: "female",
      text: t("review-2"),
    },
    {
      avatar: emailMarketingCompV1Images("patterso.png"),
      username: "@patterso",
      date: "01/01/2025",
      gender: "female",
      text: t("review-3"),
    },
  ];

  return (
    <div className={styles.container}>
      {reviews.map((review, index) => (
        <Review {...review} key={index} />
      ))}
    </div>
  );
}
